package com.jiuqi.sql.impl;

import com.jiuqi.sql.FieldInfo;
import com.jiuqi.sql.FieldInfoList;
import com.jiuqi.sql.InputDataSetMetaData;

public class DBaseInputDataSetMetaData implements InputDataSetMetaData
{
    private FieldInfoList fieldInfos;
    
    public DBaseInputDataSetMetaData(final FieldInfoList infos) {
        this.fieldInfos = infos;
    }
    
    public int getFieldCount() {
        return this.fieldInfos.size();
    }
    
    public String getFieldName(final int index) {
        return this.fieldInfos.get(index - 1).name;
    }
    
    public int getFieldType(final int index) {
        return this.fieldInfos.get(index - 1).type;
    }
    
    public int getFieldSize(final int index) {
        if (this.fieldInfos.get(index - 1).type == 6) {
            return this.fieldInfos.get(index - 1).size;
        }
        return 0;
    }
    
    public FieldInfo getField(final int index) {
        return this.fieldInfos.get(index - 1);
    }
    
    public int getFieldDecimal(final int index) {
        return this.fieldInfos.get(index - 1).decimal;
    }
    
    public static void main(final String[] args) {
    }
}
